# Visualization Library

A lightweight C++ OpenGL middleware for 2D/3D graphics

[Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/math3D.hpp File Reference

`#include "vl/GLSLmath.hpp"`
`#include "vl/Plane.hpp"`
`#include <cstdio>`
`#include <memory.h>`
`#include <vector>`

## Namespaces

namespace | vl
| Visualization Library namespace.

## Functions

Real | vl::randomMinMax (Real min, Real max)
| Returns a random number N that between 'min' and 'max' included.
int | vl::greaterEqualPow2 (int n)
| Returns a number N that is a power of 2 and that is equal to or greater than 'n'.
int | vl::smallerEqualPow2 (int n)
| Returns a number N that is a power of 2 and that is equal to or smaller than 'n'.
void | vl::extractPlanes (Plane *planes, const mat4 &modelviewproj)
| Extracts the 6 frustum planes for the given model-view-projection matrix.

Visualization Library v2009.07 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Mon Aug 10 21:41:28 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.